Bug 1571636 - Backports of general improvements to Octavia
Summary: Backports of general improvements to Octavia
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z5
: 13.0 (Queens)
Assignee: Carlos Goncalves
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:58 UTC by Carlos Goncalves
Modified: 2019-09-10 14:11 UTC (History)
7 users (show)

Fixed In Version: openstack-octavia-2.0.3-0.20181219200743.36e138c.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 13:33:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 540356 None MERGED Do not install pip in amphora when using distribution packages 2020-06-08 20:18:08 UTC
OpenStack gerrit 548991 None MERGED Reduce runtime for l7rule too_many_rules test 2020-06-08 20:18:08 UTC
OpenStack gerrit 564430 None ABANDONED Fix calls to "DELETED" items 2020-06-08 20:18:08 UTC
Red Hat Product Errata RHSA-2019:0567 None None None 2019-03-14 13:33:19 UTC

Description Carlos Goncalves 2018-04-25 08:58:51 UTC
Octavia has received a couple of patches in master upstream during Rocky development cycle that are worthy of backporting to OSP13:

https://review.openstack.org/#/c/540356/
https://review.openstack.org/#/c/547967/ 
https://review.openstack.org/#/c/557197/
https://review.openstack.org/#/c/546078 (look deeply into it and search for possible risks)

These patches cannot be backported upstream to stable/queens, though.

Comment 1 Carlos Goncalves 2018-04-30 10:05:37 UTC
Leaving https://review.openstack.org/#/c/546078 behind as we're getting closer to GA date. We may revisit it later.

Comment 10 errata-xmlrpc 2019-03-14 13:33:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0567


Note You need to log in before you can comment on or make changes to this bug.